Stencyl 3.4.0 is now out. Get it now!

GUI Extension [Unsupported]

mdotedot

  • *
  • Posts: 1260
Ok, I now updated the two behaviors on StencylForge: ListBox and TextField so that they don't use the engine for dealing with the actor.
Instead of the previous version you now have to create an actor that has the right dimensions.

Hope this helps.

Best regards from
M.E.
Best regards from
M.E.
Hanging out in the Chat:  http://www.stencyl.com/chat/

yoplalala

  • *
  • Posts: 1412
Does it work on 3.2 ? I don't understand how it works :) I attach the behaviour to an actor, but it doesn't do anything. It sill the normal sprite

rob1221

  • *
  • Posts: 9049
Obsolete means it doesn't work anymore.

yoplalala

  • *
  • Posts: 1412
Sorry I meant does Listbox and Textfield work on 3.2 ?

mdotedot

  • *
  • Posts: 1260
Hello Yoplalala,

The TextField and Listbox should work on 3.2.
I've not tried with the latest version but I've had it on a 3.2 release.
Did you create a font and selected it on the behavior-attribute page? It will not work with default font, you have to create your own font and use that! (Also if your fond is black and default background color = black ---> black on black !!!)
Also the actor needs to be width+height large enough to show the font-text.

Hope these points help and otherwise I hope to receive more information on what you are trying?

Best regards from

M.E.
Best regards from
M.E.
Hanging out in the Chat:  http://www.stencyl.com/chat/

yoplalala

  • *
  • Posts: 1412
thanks it works great ! It looks like a great tool .
It was my fault, I had my new actor set to minimal . Sorry to have disturbed you.

Thanks for these extensions and happy new year !

MichaelPel

  • *
  • Posts: 456
Hey! I'd really love to use this extension, but I for the love of God can't find the extension-folder. Could you tell me where to find it? Thank you in advance c:

mdotedot

  • *
  • Posts: 1260
Hello MichaelPel,

You realize that this extension is obsolete after 3.1!
We are now on 3.2 and you have to change a lot of code to make it work.

I suggest you take a look at the StencylForge actor behaviors: TextField and ListBox.
Most of the times that is what is used from the GUI extension.

Hope this helps.

Best regards from
M.E.
Best regards from
M.E.
Hanging out in the Chat:  http://www.stencyl.com/chat/

MichaelPel

  • *
  • Posts: 456
Oh, sorry. Didn't notice (even tho it's written all over the place). Thank you, I'll try to do this manually, then. Have a nice day!~

ainhan2008

  • Posts: 1
Refesh the link if possible please. I'm newbie

mdotedot

  • *
  • Posts: 1260
Hello Ainhan2008,

As the title suggest this extension is not supported anymore. It was made with a previous version of Stencyl and most of the GUI stuff is possible with built-in functionality that Stencyl has.

For input see the StencylForge behaviors : TextField3_3(upgrade) and Listbox
Best regards from
M.E.
Hanging out in the Chat:  http://www.stencyl.com/chat/

Eloc

  • Posts: 3
Hey mdotedot I want to use your extension but it says that the dropbox file doesn't exist! Any clue why this is happening?

mdotedot

  • *
  • Posts: 1260
Take a look at the title of this thread: unsupported
It is discontinued.
Best regards from
M.E.
Hanging out in the Chat:  http://www.stencyl.com/chat/